# vim: set sw=4 ts=4 et nu:
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               dsmidiwifi
Version:            1.01
Release:            lp150.1.12
Summary:            Music Interface for Mobile Interfaces (Server)
Source:             https://dsmi.googlecode.com/files/dsmidiwifi-v%{version}.tgz
Source1:            dsmidiwifi.desktop
URL:                https://code.google.com/p/dsmi/
Group:              Productivity/Multimedia/Sound/Midi
License:            LGPL-2.1+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      alsa-devel
BuildRequires:      libqt4-devel
BuildRequires:      gcc-c++
BuildRequires:      make glibc-devel pkgconfig
BuildRequires:      update-desktop-files

%description
Mobile devices like the DS and iPhone have become very popular in the world of
digital music since they allow for making and interacting with music without
sitting in front of your computer. There are complete composition studios for
both the DS and the iPhone, but there's also a lot of software for controlling
synthesizers and other music software in live performances. The problem with
these is is that most music software is controlled via the rather dusty MIDI
standard which is not designed for wireless communication. Thus, developers
have to invent their own workarounds for using MIDI over Wifi. DSMI is an easy
to use library that spares developers this trouble and allows you to focus on
your application. The DSMI server running on your computer receives MIDI
commands and feeds them to your MIDI applications. DSMI is available as an open
source library for the DS and the iPhone. The DSMI server is available for all
three major operating systems and it's open source as well.

Additionally, DSMI offers wired MIDI for the DS through the DSerial using the
same simple API. Since version 3.0, DSMI also supports the OpenSound Control
(OSC) protocol, an emerging standard that will hopefully replace MIDI in the
future.

dsmidifiwi is a server for DSMI.

%prep
%setup -q -n "dsmidiwifi-v%{version}"
%__rm {.,source}/DSMIDIWiFi

%build
pushd source
qmake
%__make %{?_smp_mflags}
popd

%install
%__install -D -m0755 source/DSMIDIWiFi "%{buildroot}%{_bindir}/DSMIDIWiFi"

%__install -D -m0644 source/images/midiwifiico32.png \
    "%{buildroot}%{_datadir}/pixmaps/dsmidiwifi.png"
%__install -D -m0644 "%{SOURCE1}" \
    "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Audio Midi

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/DSMIDIWiFi
%{_datadir}/pixmaps/dsmidiwifi.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Mar 16 2012 pascal.bleser@opensuse.org
- initial version (1.01)
